> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List team permissions

> List team permissions of the current user. `user_id=me` must be set for client requests. Note that this might contain the permissions with the same permission ID across different teams. `(team_id, user_id, permission_id)` together uniquely identify a permission.



## OpenAPI

````yaml /openapi/client.json get /team-permissions
openapi: 3.1.0
info:
  title: Hexclave REST API
  version: 1.0.0
  description: >-
    The Hexclave REST API. All request headers are documented as canonical
    `X-Hexclave-*`; the equivalent `X-Stack-*` aliases are accepted on every
    endpoint for backwards compatibility. Response headers
    `X-Hexclave-actual-status`, `X-Hexclave-known-error`, and
    `X-Hexclave-request-id` are emitted alongside their legacy `X-Stack-*`
    equivalents.
servers:
  - url: https://api.hexclave.com/api/v1
    description: Hexclave REST API
security: []
paths:
  /team-permissions:
    get:
      tags:
        - Permissions
      summary: List team permissions
      description: >-
        List team permissions of the current user. `user_id=me` must be set for
        client requests. Note that this might contain the permissions with the
        same permission ID across different teams. `(team_id, user_id,
        permission_id)` together uniquely identify a permission.
      parameters:
        - name: team_id
          in: query
          schema:
            type: string
            example: cce084a3-28b7-418e-913e-c8ee6d802ea4
            description: >-
              Filter with the team ID. If set, only the permissions of the
              members in a specific team will be returned.
          description: >-
            Filter with the team ID. If set, only the permissions of the members
            in a specific team will be returned.
          required: false
        - name: user_id
          in: query
          schema:
            type: string
            example: me
            description: >-
              Filter with the user ID. If set, only the permissions this user
              has will be returned. Client request must set `user_id=me`
          description: >-
            Filter with the user ID. If set, only the permissions this user has
            will be returned. Client request must set `user_id=me`
          required: false
        - name: permission_id
          in: query
          schema:
            type: string
            example: 16399452-c4f3-4554-8e44-c2d67bb60360
            description: >-
              Filter with the permission ID. If set, only the permissions with
              this specific ID will be returned
          description: >-
            Filter with the permission ID. If set, only the permissions with
            this specific ID will be returned
          required: false
        - name: recursive
          in: query
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'true'
            description: >-
              Whether to list permissions recursively. If set to `false`, only
              the permission the users directly have will be listed. If set to
              `true` all the direct and indirect permissions will be listed.
          description: >-
            Whether to list permissions recursively. If set to `false`, only the
            permission the users directly have will be listed. If set to `true`
            all the direct and indirect permissions will be listed.
          required: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: read_secret_info
                          description: >-
                            The permission ID used to uniquely identify a
                            permission. Can either be a custom permission with
                            lowercase letters, numbers, `:`, and `_` characters,
                            or one of the system permissions: `$update_team`,
                            `$delete_team`, `$read_members`, `$remove_members`,
                            `$invite_members`, `$manage_api_keys`
                        user_id:
                          type: string
                          example: 3241a285-8329-4d69-8f3d-316e08cf140c
                          description: The unique identifier of the user
                        team_id:
                          type: string
                          example: ad962777-8244-496a-b6a2-e0c6a449c79e
                          description: The unique identifier of the team
                      required:
                        - id
                        - user_id
                        - team_id
                  pagination:
                    type: object
                    properties:
                      next_cursor:
                        type: string
                        example: b3d396b8-c574-4c80-97b3-50031675ceb2
                        description: >-
                          The cursor to fetch the next page of results. null if
                          there is no next page.
                    required: []
                required:
                  - items

````